import cc.arduino.*; 
import processing.serial.*; 
import ddf.minim.*; 
 
Minim minim; 
AudioPlayer mySound; 
Arduino arduino; 

int val = 0;
int oldval = 0; 
int playback_pos = 0; 
   
      
void setup()  
{  
   
  println(Arduino.list());     
  arduino = new Arduino(this, Arduino.list()[0], 57600);   
  arduino.pinMode(7, Arduino.INPUT); 
   
  size(400, 400); 
  noStroke(); 
  
  minim = new Minim(this); 
  mySound = minim.loadFile("expressway.aiff"); 
  // make sure you the file “expressway.aiff” in your “data” folder  
  fill(255, 127, 0); 
} 
   
void draw()   
{   
  val = arduino.digitalRead(7); 
 
  background(204); 
  
  if (val != oldval && val == 1) { 
  // the line above makes sure we only trigger the sound once 
  // when the pushbutton is pressed & held down 
     fill(0, 170, 0); // fill green 
     mySound.play(playback_pos); 
     // print("played back at: "); 
     // println(playback_pos);  
     // continues to playback where the sound was paused by 
     // remembering the playback head's position 
     mySound.loop(); 
   } 
    
  if (val != oldval && val == 0) { 
  // the line above makes sure we only pause the sound once 
  // when the pushbutton is released 
     fill(255, 127, 0); // fill orange 
     playback_pos = mySound.position(); 
     // print("paused at: "); 
     // println(playback_pos);  
     // saves the position of the playback head when paused 
     mySound.pause(); 
   } 
   
  rect(50, 50, 300, 300); 
  oldval = val; 
  //println(playback_pos); 
} 
  
  
void stop() 
{ 
  // always close Minim audio classes when you are done with them 
 mySound.close(); 
 minim.stop(); 
 super.stop(); 
}
